Bug 656726

Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Product: [Fedora] Fedora Reporter: Lennart Poettering <lpoetter>
Component: zabbixAssignee: Dan HorĂ¡k <dan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan, jeff, nelsonab
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html
Whiteboard:
Fixed In Version: zabbix-1.8.5-3.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-21 17:08:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 827166    

Description Lennart Poettering 2010-11-23 23:46:47 UTC
Your package zabbix appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fedora Update System 2011-06-06 06:54:17 UTC
zabbix-1.8.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zabbix-1.8.5-2.fc15

Comment 2 Fedora Update System 2011-06-07 04:40:08 UTC
Package zabbix-1.8.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zabbix-1.8.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/zabbix-1.8.5-3.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-06-21 17:07:49 UTC
zabbix-1.8.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.